import {
  useCode
} from "./chunk-JK3POZZ7.mjs";

// src/code.tsx
import { forwardRef } from "@nextui-org/system";
import { jsx } from "react/jsx-runtime";
var Code = forwardRef((props, ref) => {
  const { Component, children, getCodeProps } = useCode({ ref, ...props });
  return /* @__PURE__ */ jsx(Component, { ...getCodeProps(), children });
});
Code.displayName = "NextUI.Code";
var code_default = Code;

export {
  code_default
};
